POST
Exchange Plaid Public Token
Exchanges a public token received from Plaid Link for secure storage. After a user completes the Plaid Link flow, the client receives a public token which must be exchanged using this endpoint to complete the bank account linking process.
Body Params
object
-
enterpriseIdstring requiredThe ID of the enterprise -
publicTokenstring requiredThe public token received from the Plaid Link Widget -
linkTokenstring requiredThe link token used to initiate the Plaid Link flow -
ipAddressstring ipv4IP address of the end-user who completed the Plaid Link flow. Although optional, it is highly recommended to provide this value as it may impact the user's trust score.
Responses
200
OK
Response Body
object
-
dataobject requireddata object
-
publicTokenstring requiredThe public token that was exchanged -
linkTokenstring requiredThe link token associated with this exchange
-
400
Bad Request - Missing required parameters
Response Body
object
-
errorNamestring required -
errorstring required
404
Not Found - Enterprise or link token not found
Response Body
object
-
errorNamestring required -
errorstring required
500
Internal Server Error
Response Body
object
-
errorNamestring required -
errorstring required